org.apache.xmlbeans.impl.xb.xsdschema

## Interface MaxLengthDocument

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    MaxLengthDocumentImpl

      public interface MaxLengthDocument
      extends XmlObject

  A document containing one maxLength(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<MaxLengthDocument>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NumFacet` | `addNewMaxLength()` Appends and returns a new empty "maxLength" element
    `NumFacet` | `getMaxLength()` Gets the "maxLength" element
    `void` | `setMaxLength(NumFacet maxLength)` Sets the "maxLength" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<MaxLengthDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getMaxLength

          NumFacet getMaxLength()

      Gets the "maxLength" element

    - #### setMaxLength

          void setMaxLength(NumFacet maxLength)

      Sets the "maxLength" element

    - #### addNewMaxLength

          NumFacet addNewMaxLength()

      Appends and returns a new empty "maxLength" element